<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>Xuc server installation &mdash; Xuc 2.0.7 documentation</title>
    
    <link rel="stylesheet" href="../_static/nature.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    '../',
        VERSION:     '2.0.7',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="../_static/jquery.js"></script>
    <script type="text/javascript" src="../_static/underscore.js"></script>
    <script type="text/javascript" src="../_static/doctools.js"></script>
    <link rel="top" title="Xuc 2.0.7 documentation" href="../index.html" />
    <link rel="next" title="Developer" href="../developers/developers.html" />
    <link rel="prev" title="Xuc Xivo Unified Communication Framework" href="../index.html" /> 
  </head>
  <body>
    <div class="related">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="../developers/developers.html" title="Developer"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="../index.html" title="Xuc Xivo Unified Communication Framework"
             accesskey="P">previous</a> |</li>
        <li><a href="../index.html">Xuc 2.0.7 documentation</a> &raquo;</li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body">
            
  <div class="section" id="xuc-server-installation">
<span id="installation"></span><h1>Xuc server installation<a class="headerlink" href="#xuc-server-installation" title="Permalink to this headline">¶</a></h1>
<div class="section" id="prerequisite">
<h2>Prerequisite<a class="headerlink" href="#prerequisite" title="Permalink to this headline">¶</a></h2>
<div class="section" id="necessary-compoments">
<h3>Necessary Compoments<a class="headerlink" href="#necessary-compoments" title="Permalink to this headline">¶</a></h3>
<p>Xuc server embed its own web server, and need to be installed on a wheezy debian.</p>
<ul>
<li><p class="first">Install java:</p>
<div class="highlight-python"><div class="highlight"><pre>apt-get install openjdk-7-jre
</pre></div>
</div>
</li>
</ul>
</div>
<div class="section" id="xivo-server-configuration">
<h3>XiVO Server Configuration<a class="headerlink" href="#xivo-server-configuration" title="Permalink to this headline">¶</a></h3>
<div class="section" id="xivo-configuration">
<h4>XiVO configuration<a class="headerlink" href="#xivo-configuration" title="Permalink to this headline">¶</a></h4>
<ul>
<li><dl class="first docutils">
<dt>Create a telephone user with XiVO Client account,</dt>
<dd><p class="first last">login = xuc / password = 0000. See /usr/share/xuc/conf/xuc.conf xivocti section for changes in user credentials if needed.
profile can be emtpy</p>
</dd>
</dl>
</li>
<li><dl class="first docutils">
<dt>Create a Webservices user (Configuration/Accès aux services web) with all rights, login = xivows / password = xivows.</dt>
<dd><p class="first last">See /usr/share/xuc/conf/xuc.conf XivoWs section for changes in user credentials if needed.</p>
</dd>
</dl>
</li>
<li><dl class="first docutils">
<dt>Postgresql</dt>
<dd><ul class="first last simple">
<li>/etc/postgresql/9.1/main/postgresql.conf Add/Change &#8220;listen_addresses&#8221; to match your configuration</li>
<li>/etc/postgresql/9.1/main/pg_hba.conf Add/Change configuration to match your configuration</li>
</ul>
</dd>
</dl>
</li>
</ul>
<div class="highlight-python"><div class="highlight"><pre>ex: &quot;host    asterisk             asterisk             127.0.0.1/32            md5&quot;  to authorize connections on the same server
</pre></div>
</div>
<p>Apply new configuration:</p>
<div class="highlight-python"><div class="highlight"><pre>xivo-service restart all
</pre></div>
</div>
</div>
</div>
<div class="section" id="xuc-installation">
<h3>Xuc Installation<a class="headerlink" href="#xuc-installation" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li>Install Xuc server</li>
</ul>
<p>From the repository:</p>
<div class="highlight-python"><div class="highlight"><pre>apt-get install xuc
</pre></div>
</div>
<p>Or you may install generated package builded from the sources:</p>
<div class="highlight-python"><div class="highlight"><pre>dpkg -i xuc-&lt;version&gt;.deb
</pre></div>
</div>
</div>
<div class="section" id="xuc-configuration">
<h3>Xuc Configuration<a class="headerlink" href="#xuc-configuration" title="Permalink to this headline">¶</a></h3>
<p>You have to restart xuc server after configuration modifications</p>
<div class="section" id="changing-listening-port-number-or-memory-size">
<h4>Changing listening port number or memory size<a class="headerlink" href="#changing-listening-port-number-or-memory-size" title="Permalink to this headline">¶</a></h4>
<blockquote>
<div><ul>
<li><dl class="first docutils">
<dt>/etc/init.d/xuc</dt>
<dd><p class="first last">Change &#8220;PORT&#8221; variable, check with netstat first if port is available
Add JVM_MEM=&#8221;-mem 64&#8221; below port definition
Add $JVM_MEM in START_CMD variable, ex: &#8220;START_CMD=&#8221;$JVM_MEM -Dconfig.file=...&#8221;</p>
</dd>
</dl>
</li>
</ul>
</div></blockquote>
</div>
<div class="section" id="xivo-server">
<h4>XiVO server<a class="headerlink" href="#xivo-server" title="Permalink to this headline">¶</a></h4>
<blockquote>
<div><ul>
<li><dl class="first docutils">
<dt>/usr/share/xuc/conf/xuc.conf</dt>
<dd><p class="first last">Change &#8220;xivohost&#8221; variable</p>
</dd>
</dl>
</li>
</ul>
</div></blockquote>
</div>
</div>
</div>
<div class="section" id="post-installation">
<h2>Post installation<a class="headerlink" href="#post-installation" title="Permalink to this headline">¶</a></h2>
<p>Change logger configuration</p>
<blockquote>
<div><ul>
<li><p class="first">/usr/share/xuc/conf/xuc_logger.xml</p>
<blockquote>
<div><p>Modify the pathnames to add &#8220;/&#8221; in front of &#8220;var/log/xuc/&#8221;</p>
</div></blockquote>
</li>
</ul>
</div></blockquote>
<p>Enable automatic restart:</p>
<div class="highlight-python"><div class="highlight"><pre>update-rc.d xuc defaults
</pre></div>
</div>
</div>
<div class="section" id="starting">
<h2>Starting<a class="headerlink" href="#starting" title="Permalink to this headline">¶</a></h2>
<p>Xuc can be started as a service:</p>
<div class="highlight-python"><div class="highlight"><pre>service xuc [start | stop | restart]
</pre></div>
</div>
</div>
<div class="section" id="check">
<h2>Check<a class="headerlink" href="#check" title="Permalink to this headline">¶</a></h2>
<p>tail -f /var/log/xuc/xuc.log</p>
</div>
</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../index.html">Table Of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">Xuc server installation</a><ul>
<li><a class="reference internal" href="#prerequisite">Prerequisite</a><ul>
<li><a class="reference internal" href="#necessary-compoments">Necessary Compoments</a></li>
<li><a class="reference internal" href="#xivo-server-configuration">XiVO Server Configuration</a><ul>
<li><a class="reference internal" href="#xivo-configuration">XiVO configuration</a></li>
</ul>
</li>
<li><a class="reference internal" href="#xuc-installation">Xuc Installation</a></li>
<li><a class="reference internal" href="#xuc-configuration">Xuc Configuration</a><ul>
<li><a class="reference internal" href="#changing-listening-port-number-or-memory-size">Changing listening port number or memory size</a></li>
<li><a class="reference internal" href="#xivo-server">XiVO server</a></li>
</ul>
</li>
</ul>
</li>
<li><a class="reference internal" href="#post-installation">Post installation</a></li>
<li><a class="reference internal" href="#starting">Starting</a></li>
<li><a class="reference internal" href="#check">Check</a></li>
</ul>
</li>
</ul>

  <h4>Previous topic</h4>
  <p class="topless"><a href="../index.html"
                        title="previous chapter">Xuc Xivo Unified Communication Framework</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="../developers/developers.html"
                        title="next chapter">Developer</a></p>
  <h3>This Page</h3>
  <ul class="this-page-menu">
    <li><a href="../_sources/installation/installation.txt"
           rel="nofollow">Show Source</a></li>
  </ul>
<div id="searchbox" style="display: none">
  <h3>Quick search</h3>
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    <p class="searchtip" style="font-size: 90%">
    Enter search terms or a module, class or function name.
    </p>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="../developers/developers.html" title="Developer"
             >next</a> |</li>
        <li class="right" >
          <a href="../index.html" title="Xuc Xivo Unified Communication Framework"
             >previous</a> |</li>
        <li><a href="../index.html">Xuc 2.0.7 documentation</a> &raquo;</li> 
      </ul>
    </div>
    <div class="footer">
        &copy; Copyright 2013-2014, Avencall.
      Created using <a href="http://sphinx-doc.org/">Sphinx</a> 1.2.2.
    </div>
  </body>
</html>